Skip to main content
GET
/
v1
/
verifications
/
{id}
Fetch single verification
curl --request GET \
  --url https://server.heliumid.io/api/v1/verifications/{id}
{
  "status": true,
  "message": "Fetched Single verifications",
  "data": {
    "status": "successful",
    "statusCode": 2010,
    "verificationMethod": "auto",
    "createdAt": "2026-04-09T23:06:32.943Z",
    "updatedAt": "2026-04-09T23:57:49.818Z",
    "selfie": {
      "key": "1775776050274-6dfrlfk98zn.jpeg",
      "url": "https://s3.eu-north-1.amazonaws.com/io.c80.heliumid/1775776050274-6dfrlfk98zn.jpeg"
    },
    "doc": {
      "type": "NATIONAL_ID",
      "name": "National Identity Card",
      "issuingState": "NGA",
      "key": {
        "front": "1775776085295-1em87ax7pcg.jpeg",
        "back": "1775776111293-wyx4x0cu12c.jpeg"
      },
      "url": {
        "front": "https://s3.eu-north-1.amazonaws.com/io.c80.heliumid/1775776085295-1em87ax7pcg.jpeg",
        "back": "https://s3.eu-north-1.amazonaws.com/io.c80.heliumid/1775776111293-wyx4x0cu12c.jpeg"
      }
    },
    "reason": "",
    "docInfo": {
      "docType": "NATIONAL_ID",
      "docNumber": "123456789",
      "issueDate": "2015-01-01",
      "expiryDate": "2025-01-01",
      "issuingState": "NGA",
      "firstName": "JOHN",
      "lastName": "DOE",
      "middleName": "SMITH",
      "dob": "1990-01-01",
      "sex": "Male"
    },
    "id": "69d830f88c8373aa37c95974"
  },
  "code": 200
}

Headers

x-api-key
string

Path Parameters

id
string
required

Response

200 - application/json

Fetch single verification

status
boolean
message
string
data
object